Summary:	PAM module for authentication via MAPI against a Zarafa server
Name:		pam_mapi
Version:	0.1.2
Release:	1%{?dist}
License:	BSD and GPLv2+
Group:		System Environment/Base
URL:		http://ftp.robert-scheck.de/linux/%{name}/
Source:		http://ftp.robert-scheck.de/linux/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	zarafa-devel >= 6.30.0, pam-devel, %{_includedir}/uuid/uuid.h, zlib-devel
%if 0%{?rhel}%{?fedora} > 4
BuildRequires:	libicu-devel >= 3.4
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
pam_mapi is a PAM module (Pluggable Authentication Modules) for authentication
against a Zarafa server. Applications like Zarafa WebAccess, Zarafa WebApp or
Microsoft Outlook which directly connect to the Zarafa Collaboration Platform
use MAPI in SOAP to do so. If Zarafa is configured to use the DB authentication
plugin, all user information are stored in a MySQL database.

Once IMAP/POP3 is used via the Zarafa Gateway, SMTP gets involved for outbound
e-mails, too. Usually this requires SMTP authentication (to avoid open relays),
but the user information in the MySQL database is unfortunately not accessible
for established SASL daemons. The pam_mapi module is filling this gap by adding
MAPI-based authentication to PAM and thus to SMTP daemons via SASL.

Just execute "cat %{_docdir}/%{name}-%{version}/pam.conf > %{_sysconfdir}/pam.d/smtp" for
a simple setup. Please read the documentation for more extended configurations.

%prep
%setup -q

%build
%configure --libdir=/%{_lib}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README pam.conf
/%{_lib}/security/%{name}.so
%{_mandir}/man8/%{name}.8*

%changelog
* Thu Nov 29 2012 Robert Scheck <robert@fedoraproject.org> 0.1.2-1
- Upgrade to 0.1.2

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun May 06 2012 Robert Scheck <robert@fedoraproject.org> 0.1.1-2
- Rebuilt for libicu 49.1.1

* Wed Mar 21 2012 Robert Scheck <robert@fedoraproject.org> 0.1.1-1
- Upgrade to 0.1.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 29 2011 Robert Scheck <robert@fedoraproject.org> 0.1.0-1
- Upgrade to 0.1.0
- Initial spec file for Fedora and Red Hat Enterprise Linux
